## org.apache.tomcat.util.threads
Class ThreadPool.ControlRunnable

    java.lang.Object
      org.apache.tomcat.util.threads.ThreadPool.ControlRunnable

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  ThreadPool

public static class ThreadPool.ControlRunnable
extends java.lang.Object
implements java.lang.Runnable

A Thread object that executes various actions ( ThreadPoolRunnable ) under control of ThreadPool

Method Summary
`void` `kill()`
`void` `run()`
`void` `runIt(java.lang.Runnable toRun)` Run a task
`void` `runIt(ThreadPoolRunnable toRun)` Run a task
`void` `stop()`
`void` `terminate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### runIt

    public void runIt(java.lang.Runnable toRun)

  Run a task

  Parameters:
    `toRun` -

### runIt

    public void runIt(ThreadPoolRunnable toRun)

  Run a task

  Parameters:
    `toRun` -

### stop

    public void stop()

### kill

    public void kill()

### terminate

    public void terminate()

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.